package com.icomsys.main_vm.biz.rcp.conversation.nlp.wisenut.vo;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class NlpWisenutResult {
    boolean result;     // I/F 성공 : true, 실패 : false
    Long mappingId;
    String returnCode;
    String returnMsg;
    List<String> mappingIds;
    List<SentenceListVO> sentenceList;

    public boolean getResult() {
        return result;
    }

    public void setResult(boolean result) {
        this.result = result;
    }

    public Long getMappingId() {
        return mappingId;
    }

    public void setMappingId(Long mappingId) {
        this.mappingId = mappingId;
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }

    public List<String> getMappingIds() {
        return mappingIds;
    }

    public void setMappingIds(List<String> mappingIds) {
        this.mappingIds = mappingIds;
    }

    public List<SentenceListVO> getSentenceList() { return sentenceList; }

    public void setSentenceList(List<SentenceListVO> sentenceList) { this.sentenceList = sentenceList; }
}
